Bug 205025 - Diverse errors during update to selinux-policy-2.3.11-1
Summary: Diverse errors during update to selinux-policy-2.3.11-1
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-02 15:41 UTC by Robert Scheck
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 2.3.13-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-09 22:52:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Scheck 2006-09-02 15:41:29 UTC
Description of problem:
$ rpm -Uvh /usr/src/rpm/RPMS/noarch/selinux-policy-2.3.11-1.noarch.rpm \
           /usr/src/rpm/RPMS/noarch/selinux-policy-targeted-2.3.11-1.noarch.rpm
Vorbereiten...              ########################################### [100%]
   1:selinux-policy         ########################################### [ 50%]
   2:selinux-policy-targeted########################################### [100%]
libsepol.context_from_record: type firstboot_rw_t is not defined
libsepol.context_from_record: could not create context structure
libsepol.context_from_string: could not create context structure
libsepol.sepol_context_to_sid: could not convert system_u:object_r:
firstboot_rw_t:s0 to sid
/etc/selinux/targeted/contexts/files/file_contexts:  line 1579 has invalid 
context system_u:object_r:firstboot_rw_t:s0
libsemanage.semanage_install_active: setfiles returned error code 1.
libsepol.sepol_genbools_array: boolean ccs_disable_trans no longer in policy
libsepol.sepol_genbools_array: boolean oddjob_disable_trans no longer in policy
libsepol.sepol_genbools_array: boolean ricci_disable_trans no longer in policy
libsepol.sepol_genbools_array: boolean ricci_modclusterd_disable_trans no longer 
in policy
/usr/sbin/load_policy:  Can't load policy:  Invalid argument
libsemanage.semanage_reload_policy: load_policy returned error code 2.
semodule:  Failed!
$

Version-Release number of selected component (if applicable):
selinux-policy-targeted-2.3.11-1

How reproducible:
Everytime, see above.

Actual results:
Diverse errors during update to selinux-policy-2.3.11-1

Expected results:
No errors...don't you install the stuff before building for Rawhide?

Comment 1 Robert Scheck 2006-09-09 22:52:28 UTC
At least fixed in 2.3.13-3, thank you.


Note You need to log in before you can comment on or make changes to this bug.